## UDisksManagerBcache

UDisksManagerBcache — Generated C code for the org.freedesktop.UDisks2.Manager.Bcache D-Bus interface

## Functions

void | udisks_manager_bcache_proxy_new ()
UDisksManagerBcache * | udisks_manager_bcache_proxy_new_finish ()
UDisksManagerBcache * | udisks_manager_bcache_proxy_new_sync ()
void | udisks_manager_bcache_proxy_new_for_bus ()
UDisksManagerBcache * | udisks_manager_bcache_proxy_new_for_bus_finish ()
UDisksManagerBcache * | udisks_manager_bcache_proxy_new_for_bus_sync ()
void | udisks_manager_bcache_call_bcache_create ()
gboolean | udisks_manager_bcache_call_bcache_create_finish ()
gboolean | udisks_manager_bcache_call_bcache_create_sync ()
UDisksManagerBcache * | udisks_manager_bcache_skeleton_new ()
void | udisks_manager_bcache_complete_bcache_create ()

## Signals

gboolean | handle-bcache-create | Run Last

## Types and Values

| UDisksManagerBcache
struct | UDisksManagerBcacheProxy
struct | UDisksManagerBcacheProxyClass
struct | UDisksManagerBcacheSkeleton
struct | UDisksManagerBcacheSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerBcache
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksManagerBcacheSkeleton
        ╰── GDBusProxy
            ╰── UDisksManagerBcacheProxy

## Prerequisites

UDisksManagerBcache requires GObject.

## Implemented Interfaces

UDisksManagerBcacheProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManagerBcache.

UDisksManagerBcacheSkeleton implements GDBusInterface and UDisksManagerBcache.

## Known Implementations

UDisksManagerBcache is implemented by UDisksManagerBcacheProxy and UDisksManagerBcacheSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.Bcache D-Bus interface in C.

## Functions

### udisks_manager_bcache_proxy_new ()

    void
    udisks_manager_bcache_proxy_new (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.Bcache. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_bcache_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_bcache_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_bcache_proxy_new_finish ()

    UDisksManagerBcache *
    udisks_manager_bcache_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_bcache_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_bcache_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBcacheProxy]

### udisks_manager_bcache_proxy_new_sync ()

    UDisksManagerBcache *
    udisks_manager_bcache_proxy_new_sync (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.Bcache. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_bcache_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBcacheProxy]

### udisks_manager_bcache_proxy_new_for_bus ()

    void
    udisks_manager_bcache_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_manager_bcache_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_bcache_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_bcache_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_bcache_proxy_new_for_bus_finish ()

    UDisksManagerBcache *
    udisks_manager_bcache_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_bcache_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_bcache_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBcacheProxy]

### udisks_manager_bcache_proxy_new_for_bus_sync ()

    UDisksManagerBcache *
    udisks_manager_bcache_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_bcache_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_bcache_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBcacheProxy]

### udisks_manager_bcache_call_bcache_create ()

    void
    udisks_manager_bcache_call_bcache_create
                                   (UDisksManagerBcache *proxy,
                                    const gchar *arg_backing_dev,
                                    const gchar *arg_cache_dev,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `BcacheCreate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_bcache_call_bcache_create_finish()` to get the result of the operation.

See `udisks_manager_bcache_call_bcache_create_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerBcacheProxy. |
arg_backing_dev | Argument to pass with the method invocation. |
arg_cache_dev | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.4.0

### udisks_manager_bcache_call_bcache_create_finish ()

    gboolean
    udisks_manager_bcache_call_bcache_create_finish
                                   (UDisksManagerBcache *proxy,
                                    gchar **out_bcache,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_bcache_call_bcache_create()`.

#### Parameters

proxy | A UDisksManagerBcacheProxy. |
out_bcache | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_bcache_call_bcache_create()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_manager_bcache_call_bcache_create_sync ()

    gboolean
    udisks_manager_bcache_call_bcache_create_sync
                                   (UDisksManagerBcache *proxy,
                                    const gchar *arg_backing_dev,
                                    const gchar *arg_cache_dev,
                                    GVariant *arg_options,
                                    gchar **out_bcache,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `BcacheCreate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_bcache_call_bcache_create()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerBcacheProxy. |
arg_backing_dev | Argument to pass with the method invocation. |
arg_cache_dev | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_bcache | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_manager_bcache_skeleton_new ()

    UDisksManagerBcache *
    udisks_manager_bcache_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.Bcache.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerBcacheSkeleton]

### udisks_manager_bcache_complete_bcache_create ()

    void
    udisks_manager_bcache_complete_bcache_create
                                   (UDisksManagerBcache *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *bcache);

Helper function used in service implementations to finish handling invocations of the `BcacheCreate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerBcache. |
invocation | A GDBusMethodInvocation. | [transfer full]
bcache | Parameter to return. |

Since: 2.4.0

## Types and Values

### UDisksManagerBcache

    typedef struct _UDisksManagerBcache UDisksManagerBcache;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.Bcache.

### struct UDisksManagerBcacheProxy

    struct UDisksManagerBcacheProxy;

The UDisksManagerBcacheProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerBcacheProxyClass

    struct UDisksManagerBcacheProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerBcacheProxy.

#### Members

### struct UDisksManagerBcacheSkeleton

    struct UDisksManagerBcacheSkeleton;

The UDisksManagerBcacheSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerBcacheSkeletonClass

    struct UDisksManagerBcacheSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerBcacheSkeleton.

#### Members

## Signal Details

### The `“handle-bcache-create”` signal

    gboolean
    user_function (UDisksManagerBcache   *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_backing_dev,
                   gchar                 *arg_cache_dev,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `BcacheCreate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_bcache_complete_bcache_create()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerBcache. |
invocation | A GDBusMethodInvocation. |
arg_backing_dev | Argument passed by remote caller. |
arg_cache_dev | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.4.0